﻿Module Module1
  Public Gconst As Double = 0.0000000000667
  Public kPc As Double = 3.1E+19
  Public SolarMass As Double = 2.0E+30
  Public Nseg As Integer = 20 ' number of segments round the ring
  Public DiscDensity(40) As Double ' Galactic disc density in kg/m3
  Public HaloDensity(40) As Double ' Galactic halo density in kg/m3
  Public GFS(3, 40) As Double ' Galactic GFS in m/s2
  Public RotSpeed(40) As Double ' Galactic rotational speed in m/s
  Public CoreMass As Double ' Galactic core mass in kg
  Public Font As New Font("Ariel", 10)
  Public DiscModel As String = "Flat"
  Public HaloModel As String = "Flat"
  Public MWGN As Integer
  Public MWG() As DataPoint
  Public M31N As Integer
  Public M31() As DataPoint
  Public NGC3198N As Integer
  Public NGC3198() As DataPoint
  Public LocalDensity As DataPoint

  Structure DataPoint
    Dim x As Double
    Dim y As Double
    Dim e As Double
  End Structure

  Public Sub SetGalacticRotationParas()

    MWGN = 12
    ReDim MWG(MWGN)
    MWG(0).x = 0.5 : MWG(0).y = 260 : MWG(0).e = 20
    MWG(1).x = 1 : MWG(1).y = 220 : MWG(1).e = 20
    MWG(2).x = 2 : MWG(2).y = 200 : MWG(2).e = 20
    MWG(3).x = 3 : MWG(3).y = 200 : MWG(3).e = 20
    MWG(4).x = 4 : MWG(4).y = 210 : MWG(4).e = 20
    MWG(5).x = 6 : MWG(5).y = 225 : MWG(5).e = 20
    MWG(6).x = 8 : MWG(6).y = 220 : MWG(6).e = 20
    MWG(7).x = 10 : MWG(7).y = 210 : MWG(7).e = 30
    MWG(8).x = 12 : MWG(8).y = 210 : MWG(8).e = 30
    MWG(9).x = 14 : MWG(9).y = 230 : MWG(9).e = 30
    MWG(10).x = 20 : MWG(10).y = 200 : MWG(10).e = 40
    MWG(11).x = 30 : MWG(11).y = 180 : MWG(11).e = 40
    MWG(12).x = 38 : MWG(12).y = 190 : MWG(12).e = 50

    M31N = 9
    ReDim M31(M31N)
    M31(0).x = 4 : M31(0).y = 175 : M31(0).e = 15
    M31(1).x = 6 : M31(1).y = 260 : M31(1).e = 50
    M31(2).x = 10 : M31(2).y = 270 : M31(2).e = 30
    M31(3).x = 14 : M31(3).y = 260 : M31(3).e = 20
    M31(4).x = 20 : M31(4).y = 240 : M31(4).e = 20
    M31(5).x = 25 : M31(5).y = 230 : M31(5).e = 20
    M31(6).x = 30 : M31(6).y = 220 : M31(6).e = 40

    NGC3198N = 9
    ReDim NGC3198(NGC3198N)
    NGC3198(0).x = 0.7 : NGC3198(0).y = 55 : NGC3198(0).e = 8
    NGC3198(1).x = 1.3 : NGC3198(1).y = 92 : NGC3198(1).e = 8
    NGC3198(2).x = 2 : NGC3198(2).y = 110 : NGC3198(2).e = 6
    NGC3198(3).x = 2.7 : NGC3198(3).y = 123 : NGC3198(3).e = 5
    NGC3198(4).x = 5.4 : NGC3198(4).y = 147 : NGC3198(4).e = 3
    NGC3198(5).x = 8.1 : NGC3198(5).y = 156 : NGC3198(5).e = 2
    NGC3198(6).x = 13.5 : NGC3198(6).y = 154 : NGC3198(6).e = 2
    NGC3198(7).x = 18.9 : NGC3198(7).y = 148 : NGC3198(7).e = 2
    NGC3198(8).x = 24.3 : NGC3198(8).y = 148 : NGC3198(8).e = 2
    NGC3198(9).x = 19.7 : NGC3198(9).y = 149 : NGC3198(9).e = 3

    LocalDensity.x = 8 : LocalDensity.y = 2.8 : LocalDensity.e = 0.5
  End Sub
End Module
